Skip to main content
Operations Management/Tenant Management (Plus)/Ticket Operations
PUTTicket OperationsSince 3.0.0SynchronousAuth Required

ChangeTicketStatus

ChangeTicketStatus

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The resource UUID.

Body Fields

  • changeticketstatusObjectRequired

    changeticketstatus request body object.

    • statusEventTicketStatusEventRequired

      状态事件。

    • commentString

      Optional.

  • systemTagsList

    Optional.

  • userTagsList

    Optional.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryTicketInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • accountSystemTypeStringRequired

      账户系统类型。

    • ticketTypeUuidStringRequired

      The ticket type UUID.

    • accountSystemContextObjectRequired

      账户系统上下文。

    • currentFlowUuidStringRequired

      No description provided.

    • flowCollectionUuidStringRequired

      No description provided.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • statusTicketStatusRequired

      See status.

      • nameStringRequired

        The resource name.

      • ordinalintRequired

        No description provided.

    • requestListRequired

      See request.

      • requestNameStringRequired

        请求名称。

      • apiNameStringRequired

        API名称。

      • executeTimesintRequired

        No description provided.

      • apiBodyObjectRequired

        API请求体。

Endpoint

PUT/zstack/v1/tickets/{uuid}/actions

/zstack/v1/tickets/{uuid}/actions

Operation ID

ChangeTicketStatus

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/tickets/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"changeticketstatus":{"statusEvent":"<statusEvent>","comment":"<comment>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "f4483251fdfd48cdae0dbb966a2652c9", "name": "ticket", "description": "ticket description", "status": "IntermediateApproved", "request": [ { "requestName": "create vm", "apiName": "org.zstack.header.vm.APICreateVmInstanceMsg", "executeTimes": 1.0, "apiBody": { "name": "vm name", "instanceOfferingUuid": "e539401d4cf74a6c93b173b9fa01d4e6", "imageUuid": "16e0a61a2ca145eaaae6c7e9ef72ae31", "l3NetworkUuids": [ "0fbf9d6545e6480790ee9b2f7da59f65" ], "strategy": "InstantStart", "timeout": -1.0, "headers": {}, "id": "3f1b84f2f3ca453caf3086625d57eff5", "createdTime": 1.56402555717E12 } } ], "accountSystemType": "iam2", "ticketTypeUuid": "3b933e9aaf2d49b9a3dcf0c92867790f", "accountSystemContext": { "projectUuid": "21423d5537cc4891b33745b3ad9045f8", "virtualIDUuid": "1470a380fe454b4298ba178245aa499c" }, "flowCollectionUuid": "6aa051e47de74658885bca987b9c4a35" } }

Change History

This API has no change history records yet.

View all change history